2017-10-17 05:45 CEST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000110Branch 0.2.1-FINALFeature Requestpublic2012-11-28 19:31
ReporterQuix0r 
Assigned ToQuix0r 
PrioritynoneSeverityfeatureReproducibilityalways
StatusassignedResolutionopen 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version 
Summary0000110: Code-Stil - Was neu ist, was alt ist
DescriptionALT:
if ($bla == $blub)
{
  // Do something
}
 else
{
 // Do something else
}

NEU:
if ($bla == $blub) {
  // Do something
} else {
 // Do something else
}
Additional InformationVariablen oder Array-Elemente werden immer mit z.B. isset() abgefragt. Es werden Funktionen, wie is_array() usw. verwendet.

Zum Entwickeln bitte immer error_reporting(E_ALL | E_STRICT) verwenden.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
parent of 0000154assignedQuix0r HTML-Verbesserungen/-Entsorgungen am alten Code 
related to 0000133assignedQuix0r Unnoetige else-Bloecke entfernen 
related to 0000148assignedQuix0r Dinge, die nicht passieren sollen, sollten in reportBug() enden 
Not all the children of this issue are yet resolved or closed.
+Relationships

-Notes

~0000310

user13

Hm ist das nicht umgekehrt oder hab ich an den falschen Stellen bis jetzt gearbeitet? Ich finde ja die Schreibweise
if ($bla == $blub)
{
  // Do something
}
 else
{
 // Do something else
}
sowieso ├╝bersichtlicher.

~0000349

Quix0r (administrator)

Bitte nach dem Stil "NEU" aufbauen, das ist kompakter und die Uebersichtlichkeit geht noch. Ich muss dazu sagen, dass es an einigen Stellen mit if-elseif-elseif-else-Blocken mit dem alten Stil sehr lang wird und dadurch unuebersichtlich wird, beim neuen Stil ist jedoch die oeffnende Klammer bei sehr langen if-Abfragen nicht sichtbar. :(

Nun, die Entscheidung sollte bleiben. Sonst stuelpen wir staendig den Code um und kommen nicht zum Fixen/Fertigstellen.

~0000435

Quix0r (administrator)

DIe langen boolischen Ausdruecke koennten auch in Funktionen in wrapper-functions.php verpackt werden. Dann haetten wir das Problem mit dem Verschwinden der Klammer bei ueberlangen Ausdruecken nicht. Das sollte dann aber in einem seperaten Ticket gepflegt werden.
+Notes

-Issue History
Date Modified Username Field Change
2009-03-09 07:09 Quix0r New Issue
2009-03-09 07:09 Quix0r Sticky Issue No => Yes
2009-03-09 11:14 user13 Note Added: 0000310
2009-07-26 18:49 Quix0r Note Added: 0000349
2009-11-25 22:56 Quix0r Fixed in Version => 0.2.1-FINAL
2009-11-29 03:04 Quix0r Relationship added parent of 0000154
2010-03-02 17:40 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-03-02 17:43 Quix0r Note Added: 0000435
2010-05-28 18:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 18:40 Quix0r Product Version => 0.2.1-FINAL
2010-07-01 04:16 Quix0r Sticky Issue Yes => No
2012-06-17 15:10 Quix0r Assigned To => Quix0r
2012-06-17 15:10 Quix0r Status new => assigned
2012-11-28 18:31 Quix0r Relationship added related to 0000133
2012-11-28 18:33 Quix0r Relationship added related to 0000148
2012-11-28 19:31 Quix0r Relationship added related to 0000218
2012-11-28 19:32 Quix0r Relationship deleted related to 0000218
+Issue History